"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function ansiRegex({ onlyFirst = false } = {}) {
    const pattern = [
        '[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)',
        '(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PR-TZcf-nq-uy=><~]))',
    ].join('|');
    return new RegExp(pattern, onlyFirst ? undefined : 'g');
}
function stripAnsi(s) {
    if (typeof s !== 'string') {
        throw new TypeError(`Expected a \`string\`, got \`${typeof s}\``);
    }
    return s.replace(ansiRegex(), '');
}
exports.default = stripAnsi;
//# sourceMappingURL=strip-ansi.js.map