export declare type Assert = {
    equal(actual: any, expected: any, msg?: string): void;
    deepEqual(actual: any, expected: any, msg?: string): void;
};
export declare type TestContext = {
    /**
     * This function is used to write TAP diagnostics to the output. Any diagnostic information is
     * included at the end of the test's results. This function does not return a value.
     * @param message Message to be displayed as a TAP diagnostic.
     * @since v16.17.0
     */
    diagnostic(message: string): void;
};
export declare function isTestContext(t: Assert | TestContext): t is TestContext;
//# sourceMappingURL=types-internal.d.ts.map