"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRunningAsTestChildProcess = exports.isForcingColor = void 0;
const find_process_1 = __importDefault(require("find-process"));
// Allow the user to override detection if we can use colors
const forceColorEnv = process.env.FORCE_COLOR;
function isForcingColor() {
    if (forceColorEnv === '1' || forceColorEnv === 'true')
        return false;
    return true;
}
exports.isForcingColor = isForcingColor;
async function isRunningAsTestChildProcess() {
    if (process.ppid == null)
        return false;
    const procs = await (0, find_process_1.default)('pid', process.ppid);
    const proc = procs[0];
    return proc != null && proc.name === 'node' && proc.cmd.includes('--test');
}
exports.isRunningAsTestChildProcess = isRunningAsTestChildProcess;
//# sourceMappingURL=utils.js.map